package com.org.hktshop.entity.vo;

import com.org.hktshop.entity.brand.HktBrand;
import com.org.hktshop.entity.brand.HktBrandDesc;
import com.org.hktshop.target01.TableField;
import lombok.Data;

/***
 * 品牌信息 辅助类
 */
@Data
public class HktBrandInfo extends HktBrand {

    @TableField(exist = false)
    private String queryValue;

    //语言描述内容
    @TableField(exist = false)
    private HktBrandDesc brandDesc_ch  ;
    @TableField(exist = false)
    private HktBrandDesc brandDesc_en  ;

    @TableField(exist = false)
    private String category_name;

    @TableField(exist = false)
    private String keyword;

    /***
     * 数据转成
     * @return
     */
    public HktBrand toFatherBean() {

        HktBrand n = new HktBrand();
        n.setId(getId());
        n.setFno(getFno());
        n.setLogo(getLogo());
        n.setCategoryId(getCategoryId());
        n.setStatus(getStatus());
        n.setSort(getSort());
        n.setIsShow(getIsShow());
        n.setIsHot(getIsHot());
        n.setGoodsNum(getGoodsNum());
        n.setOrderNum(getOrderNum());
        n.setTotalAmount(getTotalAmount());
        n.setCreateTime(getCreateTime());
        n.setModifyTime(getModifyTime());
        return n;
    }
}
